#!/bin/bash
#
##########################################################################################
#                              Table "public.virtualization_virtualmachine"
#       Column       |           Type           | Collation | Nullable |             Default
#--------------------+--------------------------+-----------+----------+----------------------------------
# created            | timestamp with time zone |           |          |
# last_updated       | timestamp with time zone |           |          |
# custom_field_data  | jsonb                    |           | not null |
# id                 | bigint                   |           | not null | generated by default as identity
# local_context_data | jsonb                    |           |          |
# name               | character varying(64)    |           | not null |
# status             | character varying(50)    |           | not null |
# vcpus              | numeric(6,2)             |           |          |
# memory             | integer                  |           |          |
# disk               | integer                  |           |          |
# comments           | text                     |           | not null |
# cluster_id         | bigint                   |           |          |
# platform_id        | bigint                   |           |          |
# primary_ip4_id     | bigint                   |           |          |
# primary_ip6_id     | bigint                   |           |          |
# role_id            | bigint                   |           |          |
# tenant_id          | bigint                   |           |          |
# _name              | character varying(100)   |           | not null |
# site_id            | bigint                   |           |          |
# device_id          | bigint                   |           |          |
# description        | character varying(200)   |           | not null |
# interface_count    | bigint                   |           | not null |
# config_template_id | bigint                   |           |          |
#Check constraints:
#    "virtualization_virtualmachine_disk_check" CHECK (disk >= 0)
#    "virtualization_virtualmachine_memory_check" CHECK (memory >= 0)
#Foreign-key constraints:
#    "virtualization_virtu_cluster_id_6c9f9047_fk_virtualiz" FOREIGN KEY (cluster_id) REFERENCES virtualization_cluster(id) DEFERRABLE INITIALLY DEFERRED
#    "virtualization_virtu_config_template_id_d7fc7874_fk_extras_co" FOREIGN KEY (config_template_id) REFERENCES extras_configtemplate(id) DEFERRABLE INITIALLY DEFERRED
#    "virtualization_virtu_device_id_5a49ed18_fk_dcim_devi" FOREIGN KEY (device_id) REFERENCES dcim_device(id) DEFERRABLE INITIALLY DEFERRED
#    "virtualization_virtu_platform_id_a6c5ccb2_fk_dcim_plat" FOREIGN KEY (platform_id) REFERENCES dcim_platform(id) DEFERRABLE INITIALLY DEFERRED
#    "virtualization_virtu_primary_ip4_id_942e42ae_fk_ipam_ipad" FOREIGN KEY (primary_ip4_id) REFERENCES ipam_ipaddress(id) DEFERRABLE INITIALLY DEFERRED
#    "virtualization_virtu_primary_ip6_id_b7904e73_fk_ipam_ipad" FOREIGN KEY (primary_ip6_id) REFERENCES ipam_ipaddress(id) DEFERRABLE INITIALLY DEFERRED
#    "virtualization_virtu_role_id_0cc898f9_fk_dcim_devi" FOREIGN KEY (role_id) REFERENCES dcim_devicerole(id) DEFERRABLE INITIALLY DEFERRED
#    "virtualization_virtu_tenant_id_d00d1d77_fk_tenancy_t" FOREIGN KEY (tenant_id) REFERENCES tenancy_tenant(id) DEFERRABLE INITIALLY DEFERRED
#    "virtualization_virtualmachine_site_id_54475a27_fk_dcim_site_id" FOREIGN KEY (site_id) REFERENCES dcim_site(id) DEFERRABLE INITIALLY DEFERRED
##########################################################################################

WORKDIR="${0%/*}/"
# include lib
source ${WORKDIR}xxl_functions.sh
source ${WORKDIR}xxl.conf

# delimititer, use D=',' to convert into CSV format, or '\t' to use a tab
D='\t'

# Output
for (( i=1000; i<(1000+ROWS_TO_CREATE); i++ )); do
	echo -e "$(timestamp_date ${i})"		|tr '\n' "${D}"	# created
	echo -e "$(timestamp_date $(( 1000000 + i )) )"	|tr '\n' "${D}"	# last_updated
	echo -e "{}"					|tr '\n' "${D}"	# custom_field_data
	echo -e "\N"					|tr '\n' "${D}"	# local_context_data
	echo -e "name_${i}"				|tr '\n' "${D}"	# name
	echo -e "status_${i}"				|tr '\n' "${D}"	# status
	echo -e "${i}.00"				|tr '\n' "${D}"	# vcpus
	echo -e "${i}"					|tr '\n' "${D}"	# memory
	echo -e "${i}"					|tr '\n' "${D}"	# disk
	echo -e "\"$(func_comment ${i})\""		|tr '\n' "${D}"	# comments
	echo -e "1"					|tr '\n' "${D}"	# cluster_id
	echo -e "\N"					|tr '\n' "${D}"	# platform_id
	echo -e "\N"					|tr '\n' "${D}"	# primary_ip4_id
	echo -e "\N"					|tr '\n' "${D}"	# primary_ip6_id
	echo -e "\N"					|tr '\n' "${D}"	# role_id
	echo -e "\N"					|tr '\n' "${D}"	# tenant_id
	echo -e "_name_${i}"				|tr '\n' "${D}"	# _name
	echo -e "\N"					|tr '\n' "${D}"	# site_id
	echo -e "\N"					|tr '\n' "${D}"	# device_id
	echo -e "\"$(func_comment ${i})\""		|tr '\n' "${D}"	# description
	echo -e "${i}"					|tr '\n' "${D}"	# interface_count
	echo -e "\N"							# config_template_id
done

exit 0

